<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>org.vtokarev.domain</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="declaration: package: org.vtokarev.domain">
<meta name="generator" content="javadoc/PackageWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="package-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li class="nav-bar-cell1-rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html#package">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Package:&nbsp;</li>
<li>Description&nbsp;|&nbsp;</li>
<li>Related Packages&nbsp;|&nbsp;</li>
<li><a href="#class-summary">Classes and Interfaces</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Package org.vtokarev.domain" class="title">Package org.vtokarev.domain</h1>
</div>
<hr>
<div class="package-signature">package <span class="element-name">org.vtokarev.domain</span></div>
<section class="summary">
<ul class="summary-list">
<li>
<div id="class-summary">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="class-summary-tab0" role="tab" aria-selected="true" aria-controls="class-summary.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('class-summary', 'class-summary', 2)" class="active-table-tab">All Classes and Interfaces</button><button id="class-summary-tab2" role="tab" aria-selected="false" aria-controls="class-summary.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('class-summary', 'class-summary-tab2', 2)" class="table-tab">Classes</button><button id="class-summary-tab3" role="tab" aria-selected="false" aria-controls="class-summary.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('class-summary', 'class-summary-tab3', 2)" class="table-tab">Enum Classes</button></div>
<div id="class-summary.tabpanel" role="tabpanel">
<div class="summary-table two-column-summary" aria-labelledby="class-summary-tab0">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="Booking.html" title="class in org.vtokarev.domain">Booking</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>Booking</code> class represents the entity of booking.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab3"><a href="BookingStatus.html" title="enum class in org.vtokarev.domain">BookingStatus</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab3">
<div class="block">The <code>BookingStatus</code> class represents the entity of status of the <a href="Booking.html" title="class in org.vtokarev.domain"><code>Booking</code></a>.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="Room.html" title="class in org.vtokarev.domain">Room</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>Room</code> class represents the entity of room.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="RoomClass.html" title="class in org.vtokarev.domain">RoomClass</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">The <code>RoomClass</code> class represents the entity of the class of the room.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>RoomRequest</code> class represents the request made by guests to find the room by parameters.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab3"><a href="RoomRequestStatus.html" title="enum class in org.vtokarev.domain">RoomRequestStatus</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab3">
<div class="block">The <code>RoomRequestStatus</code> class represents the entity of status of the <a href="RoomRequest.html" title="class in org.vtokarev.domain"><code>RoomRequest</code></a>.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="User.html" title="class in org.vtokarev.domain">User</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>User</code> class represents the entity of user.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab3"><a href="UserRole.html" title="enum class in org.vtokarev.domain">UserRole</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab3">
<div class="block">The <code>UserRole</code> class represents the entity of <a href="User.html" title="class in org.vtokarev.domain"><code>User</code></a> role.</div>
</div>
</div>
</div>
</div>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
